Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls
Class Capability

    java.lang.Object
      com.bea.netuix.servlets.controls.Capability

All Implemented Interfaces
  Serializable

Direct Known Subclasses:
  WindowMode, WindowState

    public class Capability

extends Object
implements Serializable

Represents a named capability for a `control`.

See Also
  Serialized Form

Constructor Summary
`Capability(String name)` Construct a `Capability` with a given name.
`Capability(String name, boolean entitlementsEnabled)` Construct a `Capability` with a given name and specify whether or not entitlements are enabled.

Method Summary
`boolean` | `equals(Capability c)` Returns `true` if the given Capability is equal to this Capability.
`boolean` | `equals(Object o)` Returns `true` if the given Object is equal to this Object.
`String` | `getName()` Returns the name of this Capability.
`boolean` | `isEntitlementsEnabled()` Returns whether or not entitlements are enabled for this Capability.
`void` | `setEntitlementsEnabled(boolean entitlementsEnabled)` Set whether or not entitlements are enabled for this Capability.
`void` | `setName(String name)` Sets the `name` of this `Capability`.
`String` | `toString()` Returns this `Capability` as a `String`.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Capability

    public Capability(String name)

  Construct a `Capability` with a given name.

  Parameters
    `name` - the name to give this Capability

### Capability

    public Capability(String name,
                      boolean entitlementsEnabled)

  Construct a `Capability` with a given name and specify whether or not entitlements are enabled.

  Parameters
    `name` - the name to give this Capability
    `entitlementsEnabled` - whether or not entitlements are enabled for this Capability

Method Detail

### getName

    public String getName()

  Returns the name of this Capability.

  Returns
    name the `name` of this `Capability`

### setName

    public void setName(String name)

  Sets the `name` of this `Capability`.

  Parameters
    `name` - the `name` of this `Capability`

### isEntitlementsEnabled

    public boolean isEntitlementsEnabled()

  Returns whether or not entitlements are enabled for this Capability.

  Returns
    whether or not entitlements are enabled for this Capability

### setEntitlementsEnabled

    public void setEntitlementsEnabled(boolean entitlementsEnabled)

  Set whether or not entitlements are enabled for this Capability.

  Parameters
    `entitlementsEnabled` - whether or not entitlements are enabled for this Capability

### toString

    public String toString()

  Returns this `Capability` as a `String`.

  Overrides:
    `toString` in class `Object`
  Returns
    a `String` representation of this `Capability`

### equals

    public boolean equals(Capability c)

  Returns `true` if the given Capability is equal to this Capability.

  Parameters
    `c` - the Capability to compare `this` to
  Returns
    true if the name of the these Capabilities is non-null and the same

### equals

    public boolean equals(Object o)

  Returns `true` if the given Object is equal to this Object.

  Overrides:
    `equals` in class `Object`
  Parameters
    `o` - Object to compare `this` to
  Returns
    true if o is a Capability and `equals` this Capability

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.